Page MenuHomePhabricator

[Task] Restrict URIs for units, calendars, and globes
Closed, ResolvedPublic

Description

The ValueValidators that we apply to API input should check that "vocabulary" URIs given for units, globes, and calendars are URIs from the designated vocabulary repo. Other URIs should be rejected.

Note: For now, the vocabulary repo is always the local repo; In the future, the default vicabulary repo should be Wikidata.

Details

Related Gerrit Patches:

Event Timeline

daniel created this task.Sep 2 2015, 12:08 PM
daniel raised the priority of this task from to High.
daniel updated the task description. (Show Details)
daniel set Security to None.
daniel renamed this task from Restrict URIs for units, calendars, and globes to [Task] Restrict URIs for units, calendars, and globes.Sep 2 2015, 2:49 PM
daniel claimed this task.Sep 2 2015, 2:51 PM
daniel moved this task from Backlog to Doing on the Wikidata-Sprint-2015-09-01 board.

Change 235512 had a related patch set uploaded (by Daniel Kinzler):
Check URIs in data values against vocabulary base URI.

https://gerrit.wikimedia.org/r/235512

Change 235718 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Sweet spot for all string length tests in ValidatorBuildersTest

https://gerrit.wikimedia.org/r/235718

Change 235512 merged by jenkins-bot:
Check URIs in data values against vocabulary base URI.

https://gerrit.wikimedia.org/r/235512

daniel closed this task as Resolved.Sep 4 2015, 2:17 PM
daniel moved this task from Review to Done on the Wikidata-Sprint-2015-09-01 board.

Change 235718 merged by jenkins-bot:
Sweet spot for all string length tests in ValidatorBuildersTest

https://gerrit.wikimedia.org/r/235718